
From: Geert Uytterhoeven <geert@linux-m68k.org>

Make CONFIG_NVRAM depend on the prerequisites that are explicitly checked
for in drivers/char/nvram.c, or on CONFIG_GENERIC_NVRAM (for PPC).


---

 25-akpm/drivers/char/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/char/Kconfig~CONFIG_NVRAM-dependencies drivers/char/Kconfig
--- 25/drivers/char/Kconfig~CONFIG_NVRAM-dependencies	Wed Mar 10 15:13:24 2004
+++ 25-akpm/drivers/char/Kconfig	Wed Mar 10 15:13:24 2004
@@ -716,6 +716,7 @@ config HW_RANDOM
 
 config NVRAM
 	tristate "/dev/nvram support"
+	depends on ATARI || X86 || X86_64 || ARM || GENERIC_NVRAM
 	---help---
 	  If you say Y here and create a character special file /dev/nvram
 	  with major number 10 and minor number 144 using mknod ("man mknod"),

_
